    All Packages  Class Hierarchy  This Package  Previous  Next  Index

# Interface java.beans.Customizer

public interface Customizer

A customizer class provides a complete custom GUI for customizing a target Java Bean.

Each customizer should inherit from the java.awt.Component class so it can be instantiated inside an AWT dialog or panel.

Each customizer should have a null constructor.

##

addPropertyChangeListener(PropertyChangeListener)
  Register a listener for the PropertyChange event.
removePropertyChangeListener(PropertyChangeListener)
  Remove a listener for the PropertyChange event.
setObject(Object)
  Set the object to be customized.

##

setObject

     public abstract void setObject(Object bean)

  Set the object to be customized. This method should be called only once, before the Customizer has been added to any parent AWT container.

  Parameters:
    bean - The object to be customized.

addPropertyChangeListener

     public abstract void addPropertyChangeListener(PropertyChangeListener listener)

  Register a listener for the PropertyChange event. The customizer should fire a PropertyChange event whenever it changes the target bean in a way that might require the displayed properties to be refreshed.

  Parameters:
    listener - An object to be invoked when a PropertyChange event is fired.

removePropertyChangeListener

     public abstract void removePropertyChangeListener(PropertyChangeListener listener)

  Remove a listener for the PropertyChange event.

  Parameters:
    listener - The PropertyChange listener to be removed.

    All Packages  Class Hierarchy  This Package  Previous  Next  Index

Submit a bug or feature - Version 1.1.8 of Java Platform API Specification
Java is a trademark or registered trademark of Sun Microsystems, Inc. in the US and other countries.
Copyright 1995-1999 Sun Microsystems, Inc. 901 San Antonio Road,
Palo Alto, California, 94303, U.S.A. All Rights Reserved.